curl --request PUT \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/charges/<uuid> \
--header 'Content-Type: application/json' \
--data '{
"description": "Monthly subscription fee",
"amount": "10000",
"payment_date": "2019-12-27"
}'{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"response_type": "object",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paykey": "<string>",
"description": "Monthly subscription fee",
"amount": "10000",
"currency": "USD",
"payment_date": "2023-12-25",
"consent_type": "internet",
"device": {
"ip_address": "192.168.1.1"
},
"external_id": "<string>",
"config": {
"balance_check": "enabled",
"sandbox_outcome": "standard",
"auto_hold": true,
"auto_hold_message": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "created",
"status_details": {
"message": "Payment successfully created and awaiting validation.",
"reason": "OK",
"source": "system",
"changed_at": "2023-11-07T05:31:56Z",
"code": null
},
"status_history": [
{
"reason": "insufficient_funds",
"source": "watchtower",
"message": "Payment successfully created and awaiting validation.",
"changed_at": "2023-11-07T05:31:56Z",
"status": "created",
"code": null
}
],
"funding_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"trace_ids": {},
"payment_rail": "ach",
"paykey_details": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "Bank of America ****1234",
"balance": "100.00"
},
"customer_details": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Ron Swanson",
"customer_type": "individual",
"email": "ron@swanson.com",
"phone": "+1234567890"
},
"processed_at": "2023-11-07T05:31:56Z",
"effective_at": "2023-11-07T05:31:56Z",
"metadata": {},
"related_payments": {}
}
}Change the values of parameters associated with a charge prior to processing. The status of the charge must be created, scheduled, or on_hold.
curl --request PUT \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/charges/<uuid> \
--header 'Content-Type: application/json' \
--data '{
"description": "Monthly subscription fee",
"amount": "10000",
"payment_date": "2019-12-27"
}'{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"response_type": "object",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paykey": "<string>",
"description": "Monthly subscription fee",
"amount": "10000",
"currency": "USD",
"payment_date": "2023-12-25",
"consent_type": "internet",
"device": {
"ip_address": "192.168.1.1"
},
"external_id": "<string>",
"config": {
"balance_check": "enabled",
"sandbox_outcome": "standard",
"auto_hold": true,
"auto_hold_message": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "created",
"status_details": {
"message": "Payment successfully created and awaiting validation.",
"reason": "OK",
"source": "system",
"changed_at": "2023-11-07T05:31:56Z",
"code": null
},
"status_history": [
{
"reason": "insufficient_funds",
"source": "watchtower",
"message": "Payment successfully created and awaiting validation.",
"changed_at": "2023-11-07T05:31:56Z",
"status": "created",
"code": null
}
],
"funding_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"trace_ids": {},
"payment_rail": "ach",
"paykey_details": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "Bank of America ****1234",
"balance": "100.00"
},
"customer_details": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Ron Swanson",
"customer_type": "individual",
"email": "ron@swanson.com",
"phone": "+1234567890"
},
"processed_at": "2023-11-07T05:31:56Z",
"effective_at": "2023-11-07T05:31:56Z",
"metadata": {},
"related_payments": {}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.straddle.com/llms.txt
Use this file to discover all available pages before exploring further.
Use your Straddle API Key in the Authorization header as Bearer to authorize API requests.
For use by platforms to specify an account id and set scope of a request.
Optional client generated identifier to trace and debug a request.
Optional client generated identifier to trace and debug a series of requests.
Optional client generated value to use for idempotent requests.
10 - 40An arbitrary description for the charge.
"Monthly subscription fee"
The amount of the charge in cents.
"10000"
The desired date on which the payment should be occur. For charges, this means the date you want the customer to be debited on.
Up to 20 additional user-defined key-value pairs. Useful for storing additional information about the charge in a structured format.
Show child attributes
OK
Metadata about the API request, including an identifier and timestamp.
Show child attributes
Indicates the structure of the returned content.
data field contains a single JSON object.data field contains an array of objects.data field contains an error object with details of the issue.object, array, error, none Show child attributes
Was this page helpful?